
Figure - Bug #118164
【IOVDEV-29529】【IOV测试】【VC1】【SORP】【语音】【电话】【实车】语音播报：打开副屏，副屏已
打开，偶现TTS播报：副驾屏打开失败
2023-05-22 20:41 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 30%

Category: 需和客户讨论的bug Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 【中控版本号】：03.02.0080.C101.03����【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Major Verified Version: 修复版本��03.02.0088.C103

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 1.语言控制在sdk连接成功的时候不应该再次连接,存在逻辑问题��2.遥控器服务端存在逻辑问题，在连接成功的时候，处理再次连接未回复消息

Description

【前提条件】

1.中控与副屏正常开机

2.中控与副屏显示正常

【操作步骤】

语音输入：打开副屏

【实际结果】

语音播报：打开副屏，副屏已打开，偶现TTS播报：副驾屏打开失败

【预期结果】

TTS播报：副驾屏已打开

【备注】

时间：2023/5/19 13:26

LOG见云

VIN：LJD8BC3F3P0000310

副屏日志：https://ofs.human-horizons.com/#/download/index/E914w9lNXWw%3D

【VIN号】：LJD8BC3F3P0000310

【中控版本号】：03.02.0080.C101.03

【副屏版本号】：01.00.0095.c103

副屏日志：

Related issues:

Related to Figure - Bug # 118085: 【IOVDEV-29059】【内部】【VC1】... CLOSED 2023-05-18

History

#1 - 2023-05-22 20:41 - CDTS_Test 吴诗雨

请求打开副屏前需要先请求连接 请求连接时返回62错误码 麻烦副屏同学帮忙分析下Lei YANG 杨磊

05-19 13:26:43.687 7854 7880 D RemoteControlClient_SocketMessageUtil: Send message to service finished. direction: 1, messageType: 1, json:

{"type":"connect","source":0,"token":"OShhU4kik7DO2le"}
05-19 13:26:48.693 7854 7880 E RemoteControlClient_MessageReader: readFromServer: cant get data from service.

05-19 13:26:48.693 7854 7880 I HFSEM_REMOTE_CTRL: RemoteControlRepository-onError code=62;msg=Can not receive data from server.

#2 - 2023-05-23 10:45 - CD FW-程天颖

- Status changed from New to ASSIGNED

建议客户更换语音控制息屏的方案

目前中控是使用的遥控器sdk控制副屏息屏，遥控器sdk的功能不是专门用于控制息屏的，存在一定的的缺陷，需要更换为中控副屏联调的屏幕状态接口

已和中控的语言控制开发对接，需要找高平进行沟通

#3 - 2023-05-23 16:49 - CD FW-程天颖

000977_manual_00001_230519_132612.log:05-19 13:26:26.568  2258  8144 D RemoteControlService: buildRemoteCommand:type=1

000977_manual_00001_230519_132612.log:05-19 13:26:26.568  2258  8144 D RemoteControlService: Request params: BaseRequestCommandBean{source=0,

token='OShhU4kik7DO2le', type='connect', value='null'}

000977_manual_00001_230519_132612.log:05-19 13:26:26.568  2258  2383 D RemoteControlService: handleMessage called

000977_manual_00001_230519_132612.log:05-19 13:26:26.568  2258  2383 D RemoteControlService: Have client: 192.168.4.4(38103).Move to top

根据日志分析sdk在已经连接副屏的情况下再次连接，服务端收到后，未回复内容，导致连接失败

总结：

1.语言控制在sdk连接成功的时候不应该再次连接,存在逻辑问题

2.遥控器服务端存在逻辑问题，在连接成功的时候，处理再次连接未回复消息

更改办法：

1.副屏遥控器服务端处理在连接的情况下再次连接的问题

2.中控语音控制应该使用中控IDCM_MultiScreenService服务来获取和控制副屏的息屏亮屏状态

使用SDK语音控制的缺点：

1.sdk只能使用power键改变屏幕状态，无法定向控制为开和关

2.如果sdk获取到屏幕状态后，在改变屏幕状态之前，屏幕状态发生了变化，会出现屏幕状态控制异常的问题

3.副屏屏幕状态发生变化时，无法通过遥控器服务端向sdk主动上报

4.语音控制使用sdk会影响到其他遥控器的使用，同时只能有一个中控设备连接中控，只有并且中控使用遥控器sdk时，手机无法使用

5.遥控器sdk包含其他功能，语音控制只需要power键功能，直接使用整个sdk，过于臃肿，不符合软件设计规范

使用IDCM_MultiScreenService控制屏幕状态的优点：

1.可以定向控制副屏为开或者关，控制更加精准

2.副屏屏幕状态发生变化时，可以第一时间收到变化通知，也可以主动获取副屏屏幕状态

3.更加轻量级，性能更优

4.不存在状态设置错误的问题，不存在sdk的第2条问题

5.不影响遥控器的使用

#4 - 2023-05-23 16:58 - CD FW-程天颖

- Category changed from CD-FW to 需和客户讨论的bug

#5 - 2023-05-25 22:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202583 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com
AF:RemoteControl: Server - Improved connection stability1.Improved connection stabilityTC-RID: 1201-0206001IssueID: TS-R-BUG-118164Change-Id:

I3948cd30baa35b5772d5dc4f8fd256ef33672bc2

#6 - 2023-05-27 10:18 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

- % Done changed from 0 to 30

- Need_Info changed from -- to TEST

- Root cause set to 1.语言控制在sdk连接成功的时候不应该再次连接,存在逻辑问题

2.遥控器服务端存在逻辑问题，在连接成功的时候，处理再次连接未回复消息

Hi，诗雨，

    服务端在连接时再次连接进行了消息回复，将不再断连。该问题应该得到了处理，我的本地环境无法使用语言控制，所以无法进行验证。请帮使用最

新的副屏我验证一下

#7 - 2023-05-30 15:46 - 物联网测试组_TSCD 王维

- Verified Version set to 修复版本��03.02.0088.C103

#8 - 2023-05-30 15:46 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to ASSIGNED

#9 - 2023-05-30 15:47 - 物联网测试组_TSCD 王维

- Status changed from ASSIGNED to RESOLVED

#10 - 2023-06-02 17:29 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#11 - 2023-06-02 17:29 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-29529.zip 557 KB 2023-05-22 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000691_000977_0519131421.tar.gz8.51 MB 2023-05-22 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000691_000977_0519133909.tar.gz13.6 MB 2023-05-22 CDTS_Test 吴诗雨
